Mojolicious::Command::Author::generate::app(3)

NAME
Mojolicious::Command::Author::generate::app - App generator command

SYNOPSIS
  Usage: APPLICATION generate app [OPTIONS] [NAME]

    mojo generate app
    mojo generate app TestApp
    mojo generate app My::TestApp

  Options:
    -h, --help   Show this summary of available options

DESCRIPTION
Mojolicious::Command::Author::generate::app generates application directory structures for fully functional Mojolicious applications.

This is a core command, that means it is always enabled and its code a good example for learning to build new commands, you're welcome to fork it.

See "COMMANDS" in Mojolicious::Commands for a list of commands that are available by default.

ATTRIBUTES
Mojolicious::Command::Author::generate::app inherits all attributes from Mojolicious::Command and implements the following new ones.

  description
  my $description = $app->description;
  $app            = $app->description('Foo');

Short description of this command, used for the command list.

  usage
  my $usage = $app->usage;
  $app      = $app->usage('Foo');

Usage information for this command, used for the help screen.

METHODS
Mojolicious::Command::Author::generate::app inherits all methods from Mojolicious::Command and implements the following new ones.

  run
  $app->run(@ARGV);

Run this command.

SEE ALSO
Mojolicious, Mojolicious::Guides, <https://mojolicious.org>.